> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View a room recording.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/real-time-communications/video.yml get /room_recordings/{room_recording_id}
openapi: 3.1.0
info:
  title: Telnyx Video API
  version: 2.0.0
  description: API for Video.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /room_recordings/{room_recording_id}:
    get:
      tags:
        - Room Recordings
      summary: View a room recording.
      operationId: ViewRoomRecording
      parameters:
        - name: room_recording_id
          in: path
          description: The unique identifier of a room recording.
          required: true
          schema:
            type: string
            format: uuid
            example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0
      responses:
        '200':
          $ref: '#/components/responses/GetRoomRecordingResponse'
        '404':
          $ref: '#/components/responses/video_ResourceNotFound'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const roomRecording = await
            client.roomRecordings.retrieve('0ccc7b54-4df3-4bca-a65a-3da1ecc777f0');


            console.log(roomRecording.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            room_recording = client.room_recordings.retrieve(
                "0ccc7b54-4df3-4bca-a65a-3da1ecc777f0",
            )
            print(room_recording.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\troomRecording, err := client.RoomRecordings.Get(context.TODO(), \"0ccc7b54-4df3-4bca-a65a-3da1ecc777f0\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", roomRecording.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.roomrecordings.RoomRecordingRetrieveParams;

            import
            com.telnyx.sdk.models.roomrecordings.RoomRecordingRetrieveResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    RoomRecordingRetrieveResponse roomRecording = client.roomRecordings().retrieve("0ccc7b54-4df3-4bca-a65a-3da1ecc777f0");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            room_recording =
            telnyx.room_recordings.retrieve("0ccc7b54-4df3-4bca-a65a-3da1ecc777f0")


            puts(room_recording)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $roomRecording = $client->roomRecordings->retrieve(
                '0ccc7b54-4df3-4bca-a65a-3da1ecc777f0'
              );

              var_dump($roomRecording);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx room-recordings retrieve \
              --api-key 'My API Key' \
              --room-recording-id 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0
components:
  responses:
    GetRoomRecordingResponse:
      description: Get room recording response.
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                $ref: '#/components/schemas/RoomRecording'
    video_ResourceNotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/video_Error'
  schemas:
    RoomRecording:
      type: object
      properties:
        id:
          description: A unique identifier for the room recording.
          type: string
          format: uuid
          example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0
        room_id:
          description: Identify the room associated with the room recording.
          type: string
          format: uuid
          example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777b0
        session_id:
          description: Identify the room session associated with the room recording.
          type: string
          format: uuid
          example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777b0
        participant_id:
          description: Identify the room participant associated with the room recording.
          type: string
          format: uuid
          example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777b0
        status:
          description: Shows the room recording status.
          type: string
          example: completed
          enum:
            - completed
            - processing
        type:
          description: Shows the room recording type.
          type: string
          example: audio
          enum:
            - audio
            - video
        size_mb:
          description: Shows the room recording size in MB.
          type: number
          format: float
          example: 10.5
        download_url:
          description: Url to download the recording.
          type: string
          example: https://www.example.com
        codec:
          description: Shows the codec used for the room recording.
          type: string
          example: opus
        duration_secs:
          description: Shows the room recording duration in seconds.
          type: integer
          example: 67
        created_at:
          description: ISO 8601 timestamp when the room recording was created.
          type: string
          format: date-time
          example: '2021-03-26T17:51:59.588408Z'
        updated_at:
          description: ISO 8601 timestamp when the room recording was updated.
          type: string
          format: date-time
          example: '2021-03-26T17:51:59.588408Z'
        ended_at:
          description: ISO 8601 timestamp when the room recording has ended.
          type: string
          format: date-time
          example: '2021-03-26T17:51:59.588408Z'
        started_at:
          description: ISO 8601 timestamp when the room recording has stated.
          type: string
          format: date-time
          example: '2021-03-26T17:51:59.588408Z'
        completed_at:
          description: ISO 8601 timestamp when the room recording has completed.
          type: string
          format: date-time
          example: '2021-03-26T17:51:59.588408Z'
        record_type:
          type: string
          example: room_recording
          readOnly: true
      example:
        id: 6b61621f-62e0-4aad-ab11-9fd19e272e73
        room_id: 7b61621f-5fe4-4aad-ab11-9fd19e272e73
        session_id: 8b61621f-5fe4-4aad-ab11-9fd19e272e73
        participant_id: 9b61621f-5fe4-4aad-ab11-9fd19e272e73
        status: completed
        download_url: https://www.example.com
        type: audio
        duration_secs: 3660
        size_mb: 5.6
        codec: opus
        created_at: '2021-04-16T09:46:20.954863Z'
        updated_at: '2021-04-16T10:24:55.962200Z'
        started_at: '2021-04-16T09:24:55.962200Z'
        ended_at: '2021-04-16T10:24:55.962200Z'
        completed_at: '2021-04-16T10:25:55.962200Z'
        record_type: room_session
    video_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````